Package Details: lighttpd-openrc 20170309-1

Git Clone URL: https://aur.archlinux.org/openrc-net.git (read-only)
Package Base: openrc-net
Description: OpenRC lighttpd init script
Upstream URL: https://github.com/manjaro/packages-openrc
Licenses: GPL2
Groups: openrc-net
Conflicts: systemd-sysvcompat
Submitter: Megver83
Maintainer: Megver83
Last Packager: Megver83
Votes: 0
Popularity: 0.000000
First Submitted: 2017-03-20 23:07
Last Updated: 2017-03-23 23:45

Latest Comments

Megver83 commented on 2017-04-27 14:46

I would if I have the time, I maintain AUR packages as a hobby :P

gammy commented on 2017-04-27 14:32

I will have a look on github when I have more time - perhaps I can make a pull request directly.

You have not personally tested it then?

Megver83 commented on 2017-04-27 14:29

@gammy this packages come directly from Manjaro GitHub's repository. If you are having problems with this packages, I suggest you to ask there.

gammy commented on 2017-04-27 14:27

I might copy this package later, and add the aforementioned files, or a patch. I actually wrote these files about a year ago, so this problem is not new; I just installed manjaro-openrc 17.01 on my laptop, and noticed it's still broken. I mentioned it (back then) to some chaps on freenode, but never got a solution out of them.
Does this work on archlinux with openrc, or do you think this bug is manjaro-specific? If so, it's a surprise, since the upstream repo is manjaro-specific.
Do you know if there is a manjaro package which actually contains up/down.sh adjusted for manjaro openrc (namely some differing environment variable names) ?
If so, that should be added as a dependency to this package, along with possible patches.

Is nobody using this package but me, then? :)

Megver83 commented on 2017-04-27 14:20

@gammy if you want, upload openrc-net with the fixes, or with a different name

gammy commented on 2017-04-27 14:17

Hm, it seems to me that this package is broken for manjaro-openrc - it expects up/down.sh scripts in /etc/openvpn/, which are nowhere to be found on manjaro-openrc:

Apr 27 16:10:42 lucia openvpn[7229]: Options error: --up script fails with '/etc/openvpn/up.sh': No such file or directory
Apr 27 16:10:42 lucia openvpn[7229]: Options error: Please correct this error.
Apr 27 16:10:42 lucia openvpn[7229]: Use --help for more information.

Adding the aforementioned files from gentoo, with some manjaro-openrc adjustments, fixes the problem:

https://gist.github.com/gammy/23c071e62f6f93ea8d1b42e0c110d8c9
https://gist.github.com/gammy/b821ff02abfb23d0e41524f96d8a1b0a